cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
Field Notice 70545

Cisco UCS Platform Emulator 4.1(2cPE1)

14431
Views
15
Helpful
14
Comments

Cisco UCS Platform Emulator, Release 4.1(2cPE1)

 

CONFIGURATION IMPORT NOTE:  Importing configuration backups (All, System, or Logical) taken from the UCS Platform Emulator (UCSPE) to physical UCS Manager domains is not recommended or supported by Cisco TAC.  UCSPE backups should only be imported to UCSPE domains.

 

New Features and Significant Changes in Cisco UCS PE, Release 4.0(4ePE1)

  • Full scale emulation of UCS Manager 4.1(2c) with support for 64108 Fabric Interconnects.  Note that not all features present in UCS Manager 4.1(2c) are supported (see Known Limitations in the Release Notes).
  • New default HW config with 64108 Fabric Interconnects.
    • Additional example Hardware configurations have been attached below.  The attached UCSPE configs can be imported from the UCSPE Equipment page.
  • UCSPE is featured in a Cisco dCloud programmability demo.   The demo includes a comprehensive lab guide including the following content for Cisco UCS PowerTool and the Python SDK:
    • Overviews of PowerShell and Python programming environments with step-by-step usage instructions.
    • Code generation examples including code generation with UCS Manager's HTML5 interface.
    • Sample script creation and use with UCSPE.


Hardware Feature Summary

Please see the Release Notes for a complete list of supported Hardware.  Below is a summary:

  • 64108 and 6454 Fabric Interconnects
  • C4200 Series Rack Server Chassis with C125 Rack Servers
  • M5 B-Series and C-Series servers including HX220C and HX240C
  • Cisco UCS S3260 chassis, servers, and storage controllers
  • NVMe-based PCIe storage options


Known Limitations

  • The Platform Emulator does not support connections to Cisco Intersight to avoid the use of Intersight resources by emulated devices. The Intersight Device Connector has been disabled and the device connector menu in the UI is non-functional. You can use Intersight demo environments in the Cisco demo Cloud (https://dcloud.cisco.com/ ) and Cisco DevNet (https://developer.cisco.com/site/intersight/ ) to explore Intersight management of UCS.
  • Imported configurations should be manually checked to ensure there are no missing or unsupported components.  If issues are experienced following an import, any unsupported components can be manually deleted and missing components manually added through the Equipment menu on the Navigation pane.
  • Firmware Management and Firmware Auto Install have not been fully validated in this release.  If issues are experienced during FW download, please try alternate methods such as API based download (e.g., using PowerTool or Python SDK).  If issues are experienced with FW policies, please try excluding all components from the policy.
  • AAA-based authentication (LDAP, RADIUS, TACACs): The Platform Emulator accepts security configuration changes, but does not enforce local or remote password authentication.  Any username and password combination can successfully log into the Cisco UCS Manger UI with administrator privileges.
  • See the Release Notes for the complete list of Known Limitations.

IMPORTANT CONFIGURATION NOTE: Backup/Import of UCSM Configuration

  • The Platform Emulator does not save UCSM configuration state across Emulator resets to avoid consistency issues in UCSM configuration and the emulator HW configuration.  To preserve UCSM state, UCSM backup and import operations can be performed.  See an example backup/import flow at PythonSDK for backup/restore (import) of UCSM config


Firmware Management: UCSPE supports uploading B-Series and C-Series server firmware bundles.  Because of the large file sizes of the firmware bundles, UCSPE only supports uploading of stripped-down versions (link below).  Stripped-down versions include only the firmware metadata (not the actual firmware binaries).


Download Instructions


MD5 hashes for downloads:

  • ZIP: 5a1dedbf31ca75e9b06bfc70b99af28d
  • OVA: 8e18e8b872de3eaa14d57d7427ffaee8 
Comments
Timothy Grabrian
Beginner

This version of the Platform Emulator, as well as version 4.0.4(e) does not allow the successful changing of Fabric Interconnect model. Selecting the options from the GUI simply leads to a broken web page. Please fix as it is quite useful to change the virtual Fabric Interconnect model to better replication a production environment.

MCG70160
Beginner

Seems to me the changing FI feature does not work. I'm did a full clean of the devices, change FI a Mini and it won't change it. Not even a full restart. Please fix this.

r.heitmann
Beginner

Changing the FI works fine for me:

* clean install of UCSPE

* wait to be safe one minute longer than it seems to be needed

* change the FI-Type (i'm using "UCS 6332 16UP" right now)

* wait 15 Minutes

that's it.

 

 

charuk
Beginner

Has the download linked been broken?
I can not access the link.

(https://software.cisco.com/download/beta/1850014776)

darkdeyalfa70217
Beginner
RedHat Spike
Beginner

Is there a Cisco UCS Platform Emulator 4.1(2cPE1) User Guide?

Dave-LC
Cisco Employee

I was pretty competent in an older version of UCSPE to add and delete devices. But I was _really_ struggling with the device inventory in 4.1.2c until I found this YouTube video:  https://www.youtube.com/watch?v=KQ8sHagBrzY

Hope this saves you some time.

 

grant.palmer
Beginner

Greetings! Is this software still available? The download link does not appear to work any more, and there doesn't appear to be any other way of downloading this software other than through these forums.

Dave-LC
Cisco Employee

The download links go to an empty cisco download page. Does one need permisisons to download the ova?

MMillward
Beginner

For anyone struggling with the download link - I found opening it up in a different browser session allows me to login with my cisco.com account and access the software - could just be how the auth is handled from the community page to the software downloads page.

vevdokimov
Beginner

How I can add Expander Card (UCS-MLOM-PT-01) to B200-M3 with 1240 VIC (UCSB-MLOM-40G-01) in UCS Platform Emulator?
Thank you in advance

jung_swen
Beginner

I cant download the file, error meeage is: 

Bad Gateway

The proxy server received an invalid response from an upstream server.

Additionally, a 400 Bad Request error was encountered while trying to use an ErrorDocument to handle the request.

Dave-LC
Cisco Employee

I can access the download here: https://software.cisco.com/download/beta/1850014776

I think you have to be authenticated with CCO credentials.

Create
Recognize Your Peers
Content for Community-Ad